dada2 error return code 137

Hi, I’m a bit new here, so sorry if this is a stupid question!

I’m running qiime2-2019.7 in Anaconda 3-5.0.0.1, with R 3.4.2, and executed the following command

qiime dada2 denoise-paired --i-demultiplexed-seqs /scratch/user/smurray4/16smetagenomics/rep1fastq/16smetagenomicrep1.qza --p-trunc-len-f 280 --p-trunc-len-r 250 --p-trim-left-f 10 --p-trim-left-r 5 --p-n-threads 20 --o-table table.qza --o-representative-sequences repseq.qza --o-denoising-stats dada2stats.qza

and got an error, return code 137 and I haven’t been able to figure out what this means.

Welcome to the forum @smurray4!

No such thing as a stupid question here — actually yours is a really good question because we have never seen return code 137 as far as I am aware.

Sounds like return code 137 generally indicates an out of memory error. This is probably because you are using 20 threads… maybe dial that back (or request more memory if you are running this on a cluster) and see if things go more smoothly.

No need since right now this sounds like a memory error — but if the error keeps occurring could you please post the complete error message so we can diagnose? This will be in the log file or just re-run your command with --verbose added to the end to print to the terminal.

1 Like

Thank you!!

I tried running it again without limiting the threads, and ended up with the same error…

qiime dada2 denoise-paired --i-demultiplexed-seqs /scratch/user/smurray4/16smetagenomics/rep1fastq/16smetagenomicrep1.qza --p-trunc-len-f 280 --p-trunc-len-r 250 --p-trim-left-f 10 --p-trim-left-r 5 --o-table table.qza --o-representative-sequences repseq.qza --o-denoising-stats dada2stats.qza --verbose

with the complete error message

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpd86_u0bc/forward /tmp/tmpd86_u0bc/reverse /tmp/tmpd86_u0bc/output.tsv.biom /tmp/tmpd86_u0bc/track.tsv /tmp/tmpd86_u0bc/filt_f /tmp/tmpd86_u0bc/filt_r 280 250 10 5 2.0 2.0 2 consensus 1.0 1 1000000

R version 3.4.2 (2017-09-28)
Loading required package: Rcpp
DADA2: 1.6.0 / Rcpp: 0.12.16 / RcppParallel: 4.4.0

  1. Filtering


2) Learning Error Rates
Initializing error rates to maximum possible estimate.
Sample 1 - 57575 reads in 13399 unique sequences.
Sample 2 - 58087 reads in 18954 unique sequences.
Sample 3 - 29495 reads in 8147 unique sequences.
Sample 4 - 99297 reads in 28565 unique sequences.
Sample 5 - 52631 reads in 16925 unique sequences.
Sample 6 - 31313 reads in 7022 unique sequences.
Sample 7 - 34854 reads in 10994 unique sequences.
Sample 8 - 47476 reads in 13491 unique sequences.
Sample 9 - 64914 reads in 18432 unique sequences.
Sample 10 - 60916 reads in 19359 unique sequences.
Sample 11 - 102974 reads in 25033 unique sequences.
Sample 12 - 77835 reads in 21905 unique sequences.
Sample 13 - 131929 reads in 38546 unique sequences.
Sample 14 - 152355 reads in 40442 unique sequences.
selfConsist step 2

/software/hprc/R_tamu/bin/Rscript: line 75: 30458 Killed {EBROOTR}/bin/Rscript {ARGS[@]}
Traceback (most recent call last):
File “/software/hprc/Anaconda/3-5.0.0.1/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 234, in denoise_paired
run_commands([cmd])
File “/software/hprc/Anaconda/3-5.0.0.1/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
subprocess.run(cmd, check=True)
File “/software/hprc/Anaconda/3-5.0.0.1/envs/qiime2-2019.7/lib/python3.6/subprocess.py”, line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpd86_u0bc/forward’, ‘/tmp/tmpd86_u0bc/reverse’, ‘/tmp/tmpd86_u0bc/output.tsv.biom’, ‘/tmp/tmpd86_u0bc/track.tsv’, ‘/tmp/tmpd86_u0bc/filt_f’, ‘/tmp/tmpd86_u0bc/filt_r’, ‘280’, ‘250’, ‘10’, ‘5’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 137.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/software/hprc/Anaconda/3-5.0.0.1/envs/qiime2-2019.7/lib/python3.6/site-packages/q2cli/commands.py”, line 327, in call
results = action(**arguments)
File “</software/hprc/Anaconda/3-5.0.0.1/envs/qiime2-2019.7/lib/python3.6/site-packages/decorator.py:decorator-gen-463>”, line 2, in denoise_paired
File “/software/hprc/Anaconda/3-5.0.0.1/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/software/hprc/Anaconda/3-5.0.0.1/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/software/hprc/Anaconda/3-5.0.0.1/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 249, in denoise_paired
" and stderr to learn more." % e.returncode)

Thanks for the full error message, @smurray4!

I gather you are running this on a cluster — so the issue is still that your job is being killed because it is running out of memory, but maybe you are not requesting enough memory? You should check with your cluster admin to see how much memory you are requesting vs. how much that last job used, and how you can request more.

Good luck!

Thank you!! I am running it on a cluster, I’ll talk to my admin about memory and why the job getting killed
I appreciate your help!!

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.